Автор Тема: Как в альтах воспользоваться AppImage-файлами?  (Прочитано 27206 раз)

Оффлайн S3R_sqrT

  • Завсегдатай
  • *
  • Сообщений: 323
control fusermount public
сработало, спасибо!

Оффлайн S3R_sqrT

  • Завсегдатай
  • *
  • Сообщений: 323
control fusermount public
Совпало, что после этого перестал телеграмм запускаться: дает ошибку сегментирования, control fusermount public непричем?

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 956
    • Домашняя страница
    • Email
Не должен быть при чём. Обновите систему целиком.
Андрей Черепанов (cas@)

Оффлайн Михаил24

  • Начинающий
  • *
  • Сообщений: 14
    • Email
В версии 5.1 appimage запускался. Переустановил alt, обновил ядро до 6.1.65-un-def.
Пытаюсь запустить
[root@mike linux]# ./YouGile-38.6.3-x86_64.AppImage
-bash: ./YouGile-38.6.3-x86_64.AppImage: Отказано в доступе
Ок, пробуем
[root@mike linux]# apt-get install fuse
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия fuse уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 4 не будет обновлено.
[root@mike linux]# apt-get install libfuse
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия libfuse уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 4 не будет обновлено.
[root@mike linux]# control fusermount public
[root@mike linux]# chmod 777 YouGile-38.6.3-x86_64.AppImage
[root@mike linux]# chmod +x YouGile-38.6.3-x86_64.AppImage
[root@mike linux]# ./YouGile-38.6.3-x86_64.AppImage
-bash: ./YouGile-38.6.3-x86_64.AppImage: Отказано в доступе
Что еще можно сделать?

Оффлайн andrew_b

  • Завсегдатай
  • *
  • Сообщений: 536
./YouGile-38.6.3-x86_64.AppImage: Отказано в доступе
Файл неисполняемый -- нет соответствующих атрибутов.
Файл не для той архитектуры.
Раздел смонтирован с noexec.
« Последнее редактирование: 11.12.2023 12:22:57 от andrew_b »

Оффлайн Михаил24

  • Начинающий
  • *
  • Сообщений: 14
    • Email
Раздел смонтирован с noexec.
спасибо огромное, это, действительно, так. Перенес в другой раздел - все запустилось.

Оффлайн GrishaDm

  • Давно тут
  • **
  • Сообщений: 341
В соседней теме мне подсказали рабочий способ на будущее:# cd /tmp
# wget -c https://github.com/TheAssassin/AppImageLauncher/releases/download/v2.2.0/appimagelauncher-2.2.0-travis995.0f91801.x86_64.rpm
# apt-get install ./appimagelauncher-2.2.0-travis995.0f91801.x86_64.rpm


далее сделайте нужный вам файл AppImage исполняемым, запустите его и в открывшемся окне AppImageLauncher  согласитесь на интеграцию (кнопка Integrate and run). Если это не сработает - самостоятельно поместите AppImage-файл в удобный каталог (например, ~/Applications) и сделайте для него ярлык в меню вручную на основе официального.

Оффлайн artenaki

  • Давно тут
  • **
  • Сообщений: 198
В соседней теме мне подсказали рабочий способ на будущее
Я бы не советовал. Ставит какую-то хрень в виндовом стиле.
Цитировать
AppImageLauncher глубоко интегрируется в систему. Поэтому установка через собственные системные пакеты является предпочтительным способом установки.

Оффлайн GrishaDm

  • Давно тут
  • **
  • Сообщений: 341
Я бы не советовал. Ставит какую-то хрень в виндовом стиле.
Помнится, когда появилась виндовс 95 - были "энтузиасты", которые по привычке из ДОСа и виндовс 3.х удаляли программу просто с диска, удалив папку. И возмущались, что программы надо устанавливать, а не просто запускать. Вы здесь такую же "культуру" предлагаете ввести? Может надо вообще запретить - rpm, epm, AppImage, и т. д.? Оно ведь не предпочтительно.